# Module Libraries
List of libraries used by this project and details around them. Mostly useful for updating projects.

* Version: Version number of the library
* Global: Global variables the library creates (some can be removed via noConflict calls)
* Dependencies: Any libraries this library depends on, they should be listed here as well
* Fork: If the library is a fork of the original describe why its different (eg. adds AMD support)
* Repo: Url to repository holding the code.
* Docs: Url to documentation.

## Backbone
Backbone supplies structure to JavaScript-heavy applications by providing models with key-value binding and custom events, collections with a rich API of enumerable functions, views with declarative event handling, and connects it all to your existing application over a RESTful JSON interface.

* Version: 0.9.2
* Global: Backbone
* Dependencies: jQuery, Underscore
* Fork: adds AMD support
* Repo: https://github.com/amdjs/backbone
* Docs: http://backbonejs.org/

## Underscore
Underscore is a utility-belt library for JavaScript that provides a lot of the functional programming support.

* Version: 1.3.2
* Global: _
* Fork: adds AMD support
* Repo: https://github.com/amdjs/underscore
* Docs: http://underscorejs.org/

## jQuery ($)
DOM stuff, everyone knows what jQuery does right?

* Version: 1.7.2
* Global: jQuery, $
* Repo: https://github.com/jquery/jquery
* Docs: http://docs.jquery.com/

## Handlebars
Handlebars provides the power necessary to let you build semantic templates effectively with no frustration.

* Version: 1.0.beta.4
* Repo: https://github.com/wycats/handlebars.js
* Docs: http://handlebarsjs.com/

## Require Handlebars plugin (hbs)
A plugin for handlebars in require.js (both in dev and build), does smart builds

* Version: 0.2.1
* Dependencies: Handlebars
* Repo: https://github.com/SlexAxton/require-handlebars-plugin

## Require js
AMD loader

* Version: 1.0.7
* Global: require, requirejs, define
* Repo: https://github.com/jrburke/requirejs
* Docs: http://requirejs.org/

## r.js
AMD build system for require

* Version: 1.0.7
* Dependencies: Require
* Repo: https://github.com/jrburke/r.js
* Docs: http://requirejs.org/

## Wire
Wire.js is an Inversion of Control Container for Javascript apps.

* Version: 0.8.0
* Dependencies: When, AOP
* Repo: https://github.com/cujojs/wire
* Docs: https://github.com/cujojs/wire/wiki

## When
A lightweight CommonJS Promises/A and when() implementation.

* Version: 1.0.4
* Repo: https://github.com/cujojs/when

## AOP
Aspect orientated programming, used by the wire/debug plugin

* Version: 0.5.3
* Repo: https://github.com/cujojs/aop

## Jasmine
A lightweight JavaScript BDD/spec/testing framework.

* Version: 1.1.0
* Global: describe, it (see docs for all)
* Repo: https://github.com/pivotal/jasmine
* Docs: http://pivotal.github.com/jasmine/

## Sinon
Standalone test spies, stubs and mocks for JavaScript

* Version: 1.3.2
* Global: sinon
* Repo: https://github.com/cjohansen/Sinon.JS
* Docs: http://sinonjs.org/


